<?php
	
	$saas_agency_tp_theme_css = '';

	// 1st color
	$saas_agency_tp_color_option_first = get_theme_mod('saas_agency_tp_color_option_first', '#2463EB');
	if ($saas_agency_tp_color_option_first) {
		$saas_agency_tp_theme_css .= ':root {';
		$saas_agency_tp_theme_css .= '--color-primary1: ' . esc_attr($saas_agency_tp_color_option_first) . ';';
		$saas_agency_tp_theme_css .= '}';
	}

	// preloader
	$saas_agency_tp_preloader_color1_option = get_theme_mod('saas_agency_tp_preloader_color1_option');
	if($saas_agency_tp_preloader_color1_option != false){
	$saas_agency_tp_theme_css .='.center1{';
		$saas_agency_tp_theme_css .='border-color: '.esc_attr($saas_agency_tp_preloader_color1_option).' !important;';
	$saas_agency_tp_theme_css .='}';
	}
	if($saas_agency_tp_preloader_color1_option != false){
	$saas_agency_tp_theme_css .='.center1 .ring::before{';
		$saas_agency_tp_theme_css .='background: '.esc_attr($saas_agency_tp_preloader_color1_option).' !important;';
	$saas_agency_tp_theme_css .='}';
	}

	$saas_agency_tp_preloader_color2_option = get_theme_mod('saas_agency_tp_preloader_color2_option');

	if($saas_agency_tp_preloader_color2_option != false){
	$saas_agency_tp_theme_css .='.center2{';
		$saas_agency_tp_theme_css .='border-color: '.esc_attr($saas_agency_tp_preloader_color2_option).' !important;';
	$saas_agency_tp_theme_css .='}';
	}
	if($saas_agency_tp_preloader_color2_option != false){
	$saas_agency_tp_theme_css .='.center2 .ring::before{';
		$saas_agency_tp_theme_css .='background: '.esc_attr($saas_agency_tp_preloader_color2_option).' !important;';
	$saas_agency_tp_theme_css .='}';
	}

	$saas_agency_tp_preloader_bg_color_option = get_theme_mod('saas_agency_tp_preloader_bg_color_option');

	if($saas_agency_tp_preloader_bg_color_option != false){
	$saas_agency_tp_theme_css .='.loader{';
		$saas_agency_tp_theme_css .='background: '.esc_attr($saas_agency_tp_preloader_bg_color_option).';';
	$saas_agency_tp_theme_css .='}';
	}

	$saas_agency_tp_footer_bg_color_option = get_theme_mod('saas_agency_tp_footer_bg_color_option');


	if($saas_agency_tp_footer_bg_color_option != false){
	$saas_agency_tp_theme_css .='#footer{';
		$saas_agency_tp_theme_css .='background: '.esc_attr($saas_agency_tp_footer_bg_color_option).';';
	$saas_agency_tp_theme_css .='}';
	}

	// logo tagline color
	$saas_agency_site_tagline_color = get_theme_mod('saas_agency_site_tagline_color');

	if($saas_agency_site_tagline_color != false){
	$saas_agency_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$saas_agency_tp_theme_css .='color: '.esc_attr($saas_agency_site_tagline_color).';';
	$saas_agency_tp_theme_css .='}';
	}

	$saas_agency_logo_tagline_color = get_theme_mod('saas_agency_logo_tagline_color');
	if($saas_agency_logo_tagline_color != false){
	$saas_agency_tp_theme_css .='p.site-description{';
	$saas_agency_tp_theme_css .='color: '.esc_attr($saas_agency_logo_tagline_color).';';
	$saas_agency_tp_theme_css .='}';
	}

	// footer widget title color
	$saas_agency_footer_widget_title_color = get_theme_mod('saas_agency_footer_widget_title_color');
	if($saas_agency_footer_widget_title_color != false){
	$saas_agency_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$saas_agency_tp_theme_css .='color: '.esc_attr($saas_agency_footer_widget_title_color).';';
	$saas_agency_tp_theme_css .='}';
	}

	// copyright text color
	$saas_agency_footer_copyright_text_color = get_theme_mod('saas_agency_footer_copyright_text_color');
	if($saas_agency_footer_copyright_text_color != false){
	$saas_agency_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$saas_agency_tp_theme_css .='color: '.esc_attr($saas_agency_footer_copyright_text_color).'!important;';
	$saas_agency_tp_theme_css .='}';
	}

	// header image title color
	$saas_agency_header_image_title_text_color = get_theme_mod('saas_agency_header_image_title_text_color');
	if($saas_agency_header_image_title_text_color != false){
	$saas_agency_tp_theme_css .='.box-text h2{';
	$saas_agency_tp_theme_css .='color: '.esc_attr($saas_agency_header_image_title_text_color).';';
	$saas_agency_tp_theme_css .='}';
	}

	// menu color
	$saas_agency_menu_color = get_theme_mod('saas_agency_menu_color');
	if($saas_agency_menu_color != false){
	$saas_agency_tp_theme_css .='.main-navigation a{';
	$saas_agency_tp_theme_css .='color: '.esc_attr($saas_agency_menu_color).';';
	$saas_agency_tp_theme_css .='}';
}


//Footer Font Weight
$saas_agency_footer_copyright_title_font_weight = get_theme_mod( 'saas_agency_footer_copyright_title_font_weight','');
if($saas_agency_footer_copyright_title_font_weight == '100'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 100 !important;';
$saas_agency_tp_theme_css .='}';
}else if($saas_agency_footer_copyright_title_font_weight == '200'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 200 !important;';
$saas_agency_tp_theme_css .='}';
}else if($saas_agency_footer_copyright_title_font_weight == '300'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 300 !important;';
$saas_agency_tp_theme_css .='}';
}else if($saas_agency_footer_copyright_title_font_weight == '400'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 400 !important;';
$saas_agency_tp_theme_css .='}';
}else if($saas_agency_footer_copyright_title_font_weight == '500'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 500 !important;';
$saas_agency_tp_theme_css .='}';
}else if($saas_agency_footer_copyright_title_font_weight == '600'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 600 !important;';
$saas_agency_tp_theme_css .='}';
}else if($saas_agency_footer_copyright_title_font_weight == '700'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 700 !important;';
$saas_agency_tp_theme_css .='}';
}else if($saas_agency_footer_copyright_title_font_weight == '800'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 800 !important;';
$saas_agency_tp_theme_css .='}';
}else if($saas_agency_footer_copyright_title_font_weight == '900'){
$saas_agency_tp_theme_css .='#footer .site-info p {';
    $saas_agency_tp_theme_css .='font-weight: 900 !important;';
$saas_agency_tp_theme_css .='}';
}